--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

--
-- Name: bond_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE bond_mode AS ENUM (
    'active-backup',
    'balance-slb',
    'lacp-balance-tcp'
);


ALTER TYPE public.bond_mode OWNER TO nailgun;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'stopped',
    'operational',
    'error',
    'remove'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: license_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE license_type AS ENUM (
    'rhsm',
    'rhn'
);


ALTER TYPE public.license_type OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: net_segment_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_segment_type AS ENUM (
    'none',
    'vlan',
    'gre'
);


ALTER TYPE public.net_segment_type OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'floating',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'not_available',
    'downloading',
    'error',
    'available'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'stop_deployment',
    'reset_environment',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'redhat_setup',
    'redhat_check_credentials',
    'redhat_check_licenses',
    'redhat_download_release',
    'redhat_update_cobbler_profile',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 6, true);


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 32, true);


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    net_l23_provider net_l23_provider NOT NULL,
    net_segment_type net_segment_type NOT NULL,
    net_manager cluster_net_manager NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    dns_nameservers text,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 6, true);


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 58, true);


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 87, true);


--
-- Name: net_bond_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_bond_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    bond_id integer NOT NULL
);


ALTER TABLE public.net_bond_assignments OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_bond_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.net_bond_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_bond_assignments_id_seq OWNED BY net_bond_assignments.id;


--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_bond_assignments_id_seq', 1, false);


--
-- Name: net_nic_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_nic_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_nic_assignments OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_nic_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.net_nic_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_nic_assignments_id_seq OWNED BY net_nic_assignments.id;


--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_nic_assignments_id_seq', 198, true);


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    cluster_id integer,
    network_size integer,
    amount integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    netmask character varying(25),
    meta text
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 29, true);


--
-- Name: neutron_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_configs (
    id integer NOT NULL,
    cluster_id integer,
    parameters text,
    "L2" text,
    "L3" text,
    predefined_networks text,
    segmentation_type segmentation_type NOT NULL
);


ALTER TABLE public.neutron_configs OWNER TO nailgun;

--
-- Name: neutron_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE neutron_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.neutron_configs_id_seq OWNER TO nailgun;

--
-- Name: neutron_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE neutron_configs_id_seq OWNED BY neutron_configs.id;


--
-- Name: neutron_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('neutron_configs_id_seq', 1, true);


--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 27, true);


--
-- Name: node_bond_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_bond_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(32) NOT NULL,
    mac character varying(17),
    state character varying(25),
    flags text,
    mode bond_mode NOT NULL
);


ALTER TABLE public.node_bond_interfaces OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_bond_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_bond_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_bond_interfaces_id_seq OWNED BY node_bond_interfaces.id;


--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_bond_interfaces_id_seq', 1, false);


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying(17) NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25),
    state character varying(25),
    parent_id integer
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 108, true);


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 20, true);


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying(17) NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 27, true);


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 44, true);


--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 20, true);


--
-- Name: red_hat_accounts; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE red_hat_accounts (
    id integer NOT NULL,
    username character varying(100) NOT NULL,
    password character varying(100) NOT NULL,
    license_type license_type NOT NULL,
    satellite character varying(250),
    activation_key character varying(300)
);


ALTER TABLE public.red_hat_accounts OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE red_hat_accounts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.red_hat_accounts_id_seq OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE red_hat_accounts_id_seq OWNED BY red_hat_accounts.id;


--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('red_hat_accounts_id_seq', 1, false);


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 2, true);


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 8, true);


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 63, true);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments ALTER COLUMN id SET DEFAULT nextval('net_bond_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments ALTER COLUMN id SET DEFAULT nextval('net_nic_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_configs ALTER COLUMN id SET DEFAULT nextval('neutron_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces ALTER COLUMN id SET DEFAULT nextval('node_bond_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY red_hat_accounts ALTER COLUMN id SET DEFAULT nextval('red_hat_accounts_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
6	6	{"access": {"password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}}, "additional_components": {"murano": {"value": false, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "savanna": {"value": false, "type": "checkbox", "description": "If selected, Savanna component will be installed", "weight": 10, "label": "Install Savanna"}}, "storage": {"volumes_ceph": {"value": false, "type": "checkbox", "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "label": "Ceph RBD for volumes (Cinder)"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "label": "Ceph RadosGW for objects (Swift API)"}, "ephemeral_ceph": {"value": false, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Storage - Cinder LVM node.", "value": false, "label": "Cinder LVM over iSCSI for volumes"}, "osd_pool_size": {"value": "2", "type": "text", "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "label": "Ceph object replication factor"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "label": "Ceph RBD for images (Glance)"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "vlan_splinters": {"type": "radio", "values": [{"data": "disabled", "description": "OVS VLAN splinters disabled on all interfaces", "label": "Disabled (Default)"}, {"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Use OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Use OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "value": "disabled", "weight": 45, "label": "Open VSwitch VLAN Splinters feature (Neutron only)"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "23sGn9O7"}, "keystone": {"admin_password": "F3ji9IB7"}, "database": {"passwd": "24gnPvER"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "H7AoPzc9", "user_password": "WxsoGqpp", "metering_secret": "R0bnT2Pk"}, "murano": {"db_password": "7hPN2TmH", "user_password": "hefibWbH", "rabbit_password": "Dcphv2UF"}, "nova": {"db_password": "bgJzpkCn", "user_password": "OaxI0CMU", "state_path": "/var/lib/nova"}, "heat": {"db_password": "ra33MlHF", "user_password": "l9W3bBna", "rabbit_password": "JETRgpCJ"}, "keystone": {"db_password": "fiIjIg7w", "admin_token": "Q2khwkxZ"}, "rabbit": {"password": "wJ0QzYGT"}, "mysql": {"root_password": "l1jSMetr"}, "cobbler": {"profile": "centos-x86_64"}, "glance": {"db_password": "TR28ZpYr", "user_password": "HtWR3n2b"}, "cinder": {"db_password": "Hx6429gi", "user_password": "6awLWf03"}, "swift": {"user_password": "ih1OUNYs"}, "savanna": {"db_password": "tqpmG7H1", "user_password": "Gji3mWjX"}}
\.


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
\.


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, net_l23_provider, net_segment_type, net_manager, grouping, name, release_id, dns_nameservers, replaced_deployment_info, replaced_provisioning_info, is_customized) FROM stdin;
6	ha_compact	operational	nova_network	ovs	vlan	FlatDHCPManager	roles	test_centos_ha	1	["8.8.8.8", "8.8.4.4"]	{}	{}	f
\.


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.20.0.3	10.20.0.127
54	25	172.16.0.128	172.16.0.254
55	26	172.16.0.2	172.16.0.127
56	27	192.168.0.1	192.168.0.254
57	28	192.168.1.1	192.168.1.254
58	29	10.0.0.2	10.0.255.254
\.


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
1	1	\N	10.20.0.2
74	26	\N	172.16.0.8
75	27	\N	192.168.0.7
76	1	18	10.20.0.9
77	1	19	10.20.0.10
78	1	20	10.20.0.11
79	27	18	192.168.0.8
80	27	19	192.168.0.9
81	27	20	192.168.0.10
82	26	18	172.16.0.9
83	26	19	172.16.0.10
84	26	20	172.16.0.11
85	28	18	192.168.1.7
86	28	19	192.168.1.8
87	28	20	192.168.1.9
\.


--
-- Data for Name: net_bond_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_bond_assignments (id, network_id, bond_id) FROM stdin;
\.


--
-- Data for Name: net_nic_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_nic_assignments (id, network_id, interface_id) FROM stdin;
181	1	72
182	27	72
183	28	72
184	29	72
185	25	71
186	26	71
187	1	76
188	27	76
189	28	76
190	29	76
191	25	75
192	26	75
193	1	80
194	27	80
195	28	80
196	29	80
197	25	79
198	26	79
\.


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, cluster_id, network_size, amount, vlan_start, cidr, gateway, netmask, meta) FROM stdin;
1	fuelweb_admin	\N	\N	256	1	\N	10.20.0.0/24	\N	255.255.255.0	{"notation": "cidr", "render_type": null, "map_priority": 0, "assign_vip": false, "unmovable": true, "use_gateway": false, "render_addr_mask": null}
25	floating	1	6	256	1	\N	172.16.0.0/24	\N	255.255.255.0	{"name": "floating", "notation": "ip_ranges", "render_type": "ip_ranges", "assign_vip": false, "map_priority": 1, "use_same_vlan_nic": 1, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "cidr": "172.16.0.0/24", "ip_range": ["172.16.0.128", "172.16.0.254"]}
26	public	1	6	256	1	\N	172.16.0.0/24	172.16.0.1	255.255.255.0	{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "use_same_vlan_nic": 1, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "calculate_cidr": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "use_gateway": true}
27	management	1	6	256	1	101	192.168.0.0/24	\N	255.255.255.0	{"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}
28	storage	1	6	256	1	102	192.168.1.0/24	\N	255.255.255.0	{"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}
29	fixed	1	6	256	1	103	10.0.0.0/16	10.0.0.1	255.255.0.0	{"network_size": 256, "name": "fixed", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": true, "vlan_start": 103, "render_addr_mask": null, "cidr": "10.0.0.0/16"}
\.


--
-- Data for Name: neutron_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_configs (id, cluster_id, parameters, "L2", "L3", predefined_networks, segmentation_type) FROM stdin;
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
21	21	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBbe053dcc-eeb0ed24", "disk/by-id/ata-VBOX_HARDDISK_VBbe053dcc-eeb0ed24"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBe4dd685c-ca4af480", "disk/by-id/ata-VBOX_HARDDISK_VBe4dd685c-ca4af480"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB1d25c89b-f109defb", "disk/by-id/ata-VBOX_HARDDISK_VB1d25c89b-f109defb"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}]	{}
24	24	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB694055e9-01de2261", "disk/by-id/ata-VBOX_HARDDISK_VB694055e9-01de2261"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBdf2ac9d0-8fc45e6b", "disk/by-id/ata-VBOX_HARDDISK_VBdf2ac9d0-8fc45e6b"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB6d08c953-48816305", "disk/by-id/ata-VBOX_HARDDISK_VB6d08c953-48816305"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}]	{}
27	27	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBdc1b6f78-3c169f2c", "disk/by-id/ata-VBOX_HARDDISK_VBdc1b6f78-3c169f2c"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd73cdc7d-ed0e4b7e", "disk/by-id/ata-VBOX_HARDDISK_VBd73cdc7d-ed0e4b7e"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBcc16dd85-df43b90a", "disk/by-id/ata-VBOX_HARDDISK_VBcc16dd85-df43b90a"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}]	{}
23	23	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd832fafc-3a5db13f", "disk/by-id/ata-VBOX_HARDDISK_VBd832fafc-3a5db13f"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB962a8899-ebbfda7e", "disk/by-id/ata-VBOX_HARDDISK_VB962a8899-ebbfda7e"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa709afb5-d4329901", "disk/by-id/ata-VBOX_HARDDISK_VBa709afb5-d4329901"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}]	{}
26	26	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB9b68a993-a67b681a", "disk/by-id/ata-VBOX_HARDDISK_VB9b68a993-a67b681a"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB24180805-bd05b3df", "disk/by-id/ata-VBOX_HARDDISK_VB24180805-bd05b3df"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBcf219e35-aa9f02c7", "disk/by-id/ata-VBOX_HARDDISK_VBcf219e35-aa9f02c7"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}]	{}
18	18	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB543c88b0-8f95059f", "disk/by-id/ata-VBOX_HARDDISK_VB543c88b0-8f95059f"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19436}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 45599}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB3dc4f6f8-3331ee08", "disk/by-id/ata-VBOX_HARDDISK_VB3dc4f6f8-3331ee08"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf7cc7a0d-0073b139", "disk/by-id/ata-VBOX_HARDDISK_VBf7cc7a0d-0073b139"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19372, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4012}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 175349}], "type": "vg", "id": "image"}]	{}
19	19	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB6ad1e572-d53d4d56", "disk/by-id/ata-VBOX_HARDDISK_VB6ad1e572-d53d4d56"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19436}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 45599}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB0732e53a-78944307", "disk/by-id/ata-VBOX_HARDDISK_VB0732e53a-78944307"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf1b88a9b-d82f1d16", "disk/by-id/ata-VBOX_HARDDISK_VBf1b88a9b-d82f1d16"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19372, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4012}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 175349}], "type": "vg", "id": "image"}]	{}
20	20	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB52a658d5-7ad5e8a7", "disk/by-id/ata-VBOX_HARDDISK_VB52a658d5-7ad5e8a7"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19436}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 45599}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8603d14d-f35a5155", "disk/by-id/ata-VBOX_HARDDISK_VB8603d14d-f35a5155"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB010bcfc2-7a8d572a", "disk/by-id/ata-VBOX_HARDDISK_VB010bcfc2-7a8d572a"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19372, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4012}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 175349}], "type": "vg", "id": "image"}]	{}
22	22	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB80b1914c-41a66431", "disk/by-id/ata-VBOX_HARDDISK_VB80b1914c-41a66431"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB0f7ee829-e53281f3", "disk/by-id/ata-VBOX_HARDDISK_VB0f7ee829-e53281f3"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB452a7873-4c67fabb", "disk/by-id/ata-VBOX_HARDDISK_VB452a7873-4c67fabb"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}]	{}
25	25	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB4214249d-22761599", "disk/by-id/ata-VBOX_HARDDISK_VB4214249d-22761599"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB174cdcfb-6285a9ec", "disk/by-id/ata-VBOX_HARDDISK_VB174cdcfb-6285a9ec"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8a0b49ca-01bbb464", "disk/by-id/ata-VBOX_HARDDISK_VB8a0b49ca-01bbb464"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}]	{}
\.


--
-- Data for Name: node_bond_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_bond_interfaces (id, node_id, name, mac, state, flags, mode) FROM stdin;
\.


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state, parent_id) FROM stdin;
102	26	eth2	08:00:27:ad:02:2b	100	100	\N	\N	unknown	\N
78	20	eth2	08:00:27:19:18:34	100	100	\N	\N	unknown	\N
103	26	eth1	08:00:27:96:e8:b8	100	100	\N	\N	unknown	\N
104	26	eth0	08:00:27:8f:e5:2d	100	100	10.20.0.186	255.255.255.0	unknown	\N
105	27	eth3	08:00:27:e6:40:4a	100	100	\N	\N	unknown	\N
106	27	eth2	08:00:27:31:0a:5d	100	100	\N	\N	unknown	\N
107	27	eth1	08:00:27:19:d3:12	100	100	\N	\N	unknown	\N
81	21	eth3	08:00:27:ef:e1:98	100	100	\N	\N	unknown	\N
82	21	eth2	08:00:27:23:bb:32	100	100	\N	\N	unknown	\N
83	21	eth1	08:00:27:fc:e9:24	100	100	\N	\N	unknown	\N
84	21	eth0	08:00:27:53:63:6a	100	100	10.20.0.169	255.255.255.0	unknown	\N
85	22	eth3	08:00:27:11:89:de	100	100	\N	\N	unknown	\N
86	22	eth2	08:00:27:6a:da:0f	100	100	\N	\N	unknown	\N
87	22	eth1	08:00:27:80:2e:f9	100	100	\N	\N	unknown	\N
108	27	eth0	08:00:27:4b:3f:19	100	100	10.20.0.146	255.255.255.0	unknown	\N
77	20	eth3	08:00:27:ea:64:e8	100	100	\N	\N	unknown	\N
79	20	eth1	08:00:27:9f:9f:35	100	100	172.16.0.11	255.255.255.0	unknown	\N
80	20	eth0	08:00:27:20:2c:50	100	100	10.20.0.11	255.255.255.0	unknown	\N
97	25	eth3	08:00:27:1f:c3:f5	100	100	\N	\N	unknown	\N
98	25	eth2	08:00:27:d2:94:47	100	100	\N	\N	unknown	\N
99	25	eth1	08:00:27:91:87:ba	100	100	\N	\N	unknown	\N
100	25	eth0	08:00:27:fd:f9:5a	100	100	10.20.0.217	255.255.255.0	unknown	\N
73	19	eth3	08:00:27:04:e5:78	100	100	\N	\N	unknown	\N
88	22	eth0	08:00:27:24:13:39	100	100	10.20.0.227	255.255.255.0	unknown	\N
74	19	eth2	08:00:27:9c:8b:5e	100	100	\N	\N	unknown	\N
75	19	eth1	08:00:27:ce:1c:41	100	100	172.16.0.10	255.255.255.0	unknown	\N
76	19	eth0	08:00:27:be:ca:40	100	100	10.20.0.10	255.255.255.0	unknown	\N
89	23	eth3	08:00:27:61:e9:f0	100	100	\N	\N	unknown	\N
90	23	eth2	08:00:27:13:0a:f0	100	100	\N	\N	unknown	\N
91	23	eth1	08:00:27:76:08:6f	100	100	\N	\N	unknown	\N
92	23	eth0	08:00:27:f9:4d:ce	100	100	10.20.0.177	255.255.255.0	unknown	\N
69	18	eth3	08:00:27:69:8d:89	100	100	\N	\N	unknown	\N
70	18	eth2	08:00:27:66:9b:15	100	100	\N	\N	unknown	\N
71	18	eth1	08:00:27:3d:be:7a	100	100	172.16.0.9	255.255.255.0	unknown	\N
72	18	eth0	08:00:27:66:d6:a2	100	100	10.20.0.9	255.255.255.0	unknown	\N
93	24	eth3	08:00:27:c2:c1:d6	100	100	\N	\N	unknown	\N
94	24	eth2	08:00:27:4f:a9:e4	100	100	\N	\N	unknown	\N
95	24	eth1	08:00:27:ae:f4:95	100	100	\N	\N	unknown	\N
96	24	eth0	08:00:27:82:6e:3b	100	100	10.20.0.149	255.255.255.0	unknown	\N
101	26	eth3	08:00:27:8e:96:f8	100	100	\N	\N	unknown	\N
\.


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node) FROM stdin;
18	1	18
19	1	19
20	1	20
\.


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online) FROM stdin;
26	\N	Untitled (E5:2D)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:8E:96:F8", "state": "unknown", "max_speed": 100, "name": "eth3", "current_speed": 100}, {"mac": "08:00:27:AD:02:2B", "state": "unknown", "max_speed": 100, "name": "eth2", "current_speed": 100}, {"mac": "08:00:27:96:E8:B8", "state": "unknown", "max_speed": 100, "name": "eth1", "current_speed": 100}, {"name": "eth0", "ip": "10.20.0.186", "state": "unknown", "mac": "08:00:27:8F:E5:2D", "max_speed": 100, "current_speed": 100, "netmask": "255.255.255.0"}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBcf219e35-aa9f02c7", "disk/by-id/ata-VBOX_HARDDISK_VBcf219e35-aa9f02c7"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB9b68a993-a67b681a", "disk/by-id/ata-VBOX_HARDDISK_VB9b68a993-a67b681a"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB24180805-bd05b3df", "disk/by-id/ata-VBOX_HARDDISK_VB24180805-bd05b3df"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1945}]}, "memory": {"total": 2104053760}}	08:00:27:8f:e5:2d	10.20.0.186	\N	VirtualBox	\N	0	centos	f	f	\N	\N	2014-04-08 14:41:55.453038	t
19	6	Untitled (CA:40)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-19", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:04:E5:78", "state": "unknown", "max_speed": 100, "name": "eth3", "current_speed": 100}, {"mac": "08:00:27:9C:8B:5E", "state": "unknown", "max_speed": 100, "name": "eth2", "current_speed": 100}, {"name": "eth1", "ip": "172.16.0.10", "state": "unknown", "mac": "08:00:27:CE:1C:41", "max_speed": 100, "current_speed": 100, "netmask": "255.255.255.0"}, {"name": "eth0", "ip": "10.20.0.10", "state": "unknown", "mac": "08:00:27:BE:CA:40", "max_speed": 100, "current_speed": 100, "netmask": "255.255.255.0"}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf1b88a9b-d82f1d16", "disk/by-id/ata-VBOX_HARDDISK_VBf1b88a9b-d82f1d16"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB0732e53a-78944307", "disk/by-id/ata-VBOX_HARDDISK_VB0732e53a-78944307"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB6ad1e572-d53d4d56", "disk/by-id/ata-VBOX_HARDDISK_VB6ad1e572-d53d4d56"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 1968787456}}	08:00:27:be:ca:40	10.20.0.10	node-19.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2014-04-08 14:41:11.962119	t
25	\N	Untitled (F9:5A)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:1F:C3:F5", "state": "unknown", "max_speed": 100, "name": "eth3", "current_speed": 100}, {"mac": "08:00:27:D2:94:47", "state": "unknown", "max_speed": 100, "name": "eth2", "current_speed": 100}, {"mac": "08:00:27:91:87:BA", "state": "unknown", "max_speed": 100, "name": "eth1", "current_speed": 100}, {"name": "eth0", "ip": "10.20.0.217", "netmask": "255.255.255.0", "mac": "08:00:27:FD:F9:5A", "state": "unknown", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8a0b49ca-01bbb464", "disk/by-id/ata-VBOX_HARDDISK_VB8a0b49ca-01bbb464"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB4214249d-22761599", "disk/by-id/ata-VBOX_HARDDISK_VB4214249d-22761599"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB174cdcfb-6285a9ec", "disk/by-id/ata-VBOX_HARDDISK_VB174cdcfb-6285a9ec"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 2104053760}}	08:00:27:fd:f9:5a	10.20.0.217	\N	VirtualBox	\N	0	centos	f	f	\N	\N	2014-04-08 14:41:09.919379	t
18	6	Untitled (D6:A2)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-18", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:69:8D:89", "state": "unknown", "max_speed": 100, "name": "eth3", "current_speed": 100}, {"mac": "08:00:27:66:9B:15", "state": "unknown", "max_speed": 100, "name": "eth2", "current_speed": 100}, {"name": "eth1", "ip": "172.16.0.9", "state": "unknown", "mac": "08:00:27:3D:BE:7A", "max_speed": 100, "current_speed": 100, "netmask": "255.255.255.0"}, {"name": "eth0", "ip": "10.20.0.9", "state": "unknown", "mac": "08:00:27:66:D6:A2", "max_speed": 100, "current_speed": 100, "netmask": "255.255.255.0"}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf7cc7a0d-0073b139", "disk/by-id/ata-VBOX_HARDDISK_VBf7cc7a0d-0073b139"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB3dc4f6f8-3331ee08", "disk/by-id/ata-VBOX_HARDDISK_VB3dc4f6f8-3331ee08"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB543c88b0-8f95059f", "disk/by-id/ata-VBOX_HARDDISK_VB543c88b0-8f95059f"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1988}]}, "memory": {"total": 1968787456}}	08:00:27:66:d6:a2	10.20.0.9	node-18.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2014-04-08 14:41:29.894427	t
24	\N	Untitled (6E:3B)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:C2:C1:D6", "state": "unknown", "max_speed": 100, "name": "eth3", "current_speed": 100}, {"mac": "08:00:27:4F:A9:E4", "state": "unknown", "max_speed": 100, "name": "eth2", "current_speed": 100}, {"mac": "08:00:27:AE:F4:95", "state": "unknown", "max_speed": 100, "name": "eth1", "current_speed": 100}, {"name": "eth0", "ip": "10.20.0.149", "netmask": "255.255.255.0", "mac": "08:00:27:82:6E:3B", "state": "unknown", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB6d08c953-48816305", "disk/by-id/ata-VBOX_HARDDISK_VB6d08c953-48816305"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBdf2ac9d0-8fc45e6b", "disk/by-id/ata-VBOX_HARDDISK_VBdf2ac9d0-8fc45e6b"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB694055e9-01de2261", "disk/by-id/ata-VBOX_HARDDISK_VB694055e9-01de2261"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 2104053760}}	08:00:27:82:6e:3b	10.20.0.149	\N	VirtualBox	\N	0	centos	f	f	\N	\N	2014-04-08 14:41:31.620287	t
27	\N	Untitled (3F:19)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:E6:40:4A", "state": "unknown", "max_speed": 100, "name": "eth3", "current_speed": 100}, {"mac": "08:00:27:31:0A:5D", "state": "unknown", "max_speed": 100, "name": "eth2", "current_speed": 100}, {"mac": "08:00:27:19:D3:12", "state": "unknown", "max_speed": 100, "name": "eth1", "current_speed": 100}, {"name": "eth0", "ip": "10.20.0.146", "netmask": "255.255.255.0", "mac": "08:00:27:4B:3F:19", "state": "unknown", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBdc1b6f78-3c169f2c", "disk/by-id/ata-VBOX_HARDDISK_VBdc1b6f78-3c169f2c"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBcc16dd85-df43b90a", "disk/by-id/ata-VBOX_HARDDISK_VBcc16dd85-df43b90a"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd73cdc7d-ed0e4b7e", "disk/by-id/ata-VBOX_HARDDISK_VBd73cdc7d-ed0e4b7e"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1992}]}, "memory": {"total": 2104053760}}	08:00:27:4b:3f:19	10.20.0.146	\N	VirtualBox	\N	0	centos	f	f	\N	\N	2014-04-08 14:41:06.093449	t
20	6	Untitled (2C:50)	ready	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-20", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:EA:64:E8", "state": "unknown", "max_speed": 100, "name": "eth3", "current_speed": 100}, {"mac": "08:00:27:19:18:34", "state": "unknown", "max_speed": 100, "name": "eth2", "current_speed": 100}, {"name": "eth1", "ip": "172.16.0.11", "state": "unknown", "mac": "08:00:27:9F:9F:35", "max_speed": 100, "current_speed": 100, "netmask": "255.255.255.0"}, {"name": "eth0", "ip": "10.20.0.11", "state": "unknown", "mac": "08:00:27:20:2C:50", "max_speed": 100, "current_speed": 100, "netmask": "255.255.255.0"}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB010bcfc2-7a8d572a", "disk/by-id/ata-VBOX_HARDDISK_VB010bcfc2-7a8d572a"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8603d14d-f35a5155", "disk/by-id/ata-VBOX_HARDDISK_VB8603d14d-f35a5155"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB52a658d5-7ad5e8a7", "disk/by-id/ata-VBOX_HARDDISK_VB52a658d5-7ad5e8a7"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1990}]}, "memory": {"total": 1968787456}}	08:00:27:20:2c:50	10.20.0.11	node-20.domain.tld	VirtualBox	\N	100	centos	f	f	\N	\N	2014-04-08 14:41:08.630672	t
21	\N	Untitled (63:6A)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:EF:E1:98", "state": "unknown", "max_speed": 100, "name": "eth3", "current_speed": 100}, {"mac": "08:00:27:23:BB:32", "state": "unknown", "max_speed": 100, "name": "eth2", "current_speed": 100}, {"mac": "08:00:27:FC:E9:24", "state": "unknown", "max_speed": 100, "name": "eth1", "current_speed": 100}, {"name": "eth0", "ip": "10.20.0.169", "netmask": "255.255.255.0", "mac": "08:00:27:53:63:6A", "state": "unknown", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBbe053dcc-eeb0ed24", "disk/by-id/ata-VBOX_HARDDISK_VBbe053dcc-eeb0ed24"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBe4dd685c-ca4af480", "disk/by-id/ata-VBOX_HARDDISK_VBe4dd685c-ca4af480"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 68718428160}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB1d25c89b-f109defb", "disk/by-id/ata-VBOX_HARDDISK_VB1d25c89b-f109defb"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1992}]}, "memory": {"total": 2104053760}}	08:00:27:53:63:6a	10.20.0.169	\N	VirtualBox	\N	0	centos	f	f	\N	\N	2014-04-08 14:42:07.278378	t
23	\N	Untitled (4D:CE)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:61:E9:F0", "state": "unknown", "max_speed": 100, "name": "eth3", "current_speed": 100}, {"mac": "08:00:27:13:0A:F0", "state": "unknown", "max_speed": 100, "name": "eth2", "current_speed": 100}, {"mac": "08:00:27:76:08:6F", "state": "unknown", "max_speed": 100, "name": "eth1", "current_speed": 100}, {"name": "eth0", "ip": "10.20.0.177", "state": "unknown", "mac": "08:00:27:F9:4D:CE", "max_speed": 100, "current_speed": 100, "netmask": "255.255.255.0"}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa709afb5-d4329901", "disk/by-id/ata-VBOX_HARDDISK_VBa709afb5-d4329901"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB962a8899-ebbfda7e", "disk/by-id/ata-VBOX_HARDDISK_VB962a8899-ebbfda7e"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd832fafc-3a5db13f", "disk/by-id/ata-VBOX_HARDDISK_VBd832fafc-3a5db13f"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1992}]}, "memory": {"total": 2104053760}}	08:00:27:f9:4d:ce	10.20.0.177	\N	VirtualBox	\N	0	centos	f	f	\N	\N	2014-04-08 14:41:16.641089	t
22	\N	Untitled (13:39)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:11:89:DE", "state": "unknown", "max_speed": 100, "name": "eth3", "current_speed": 100}, {"mac": "08:00:27:6A:DA:0F", "state": "unknown", "max_speed": 100, "name": "eth2", "current_speed": 100}, {"mac": "08:00:27:80:2E:F9", "state": "unknown", "max_speed": 100, "name": "eth1", "current_speed": 100}, {"name": "eth0", "ip": "10.20.0.227", "netmask": "255.255.255.0", "mac": "08:00:27:24:13:39", "state": "unknown", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB80b1914c-41a66431", "disk/by-id/ata-VBOX_HARDDISK_VB80b1914c-41a66431"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB0f7ee829-e53281f3", "disk/by-id/ata-VBOX_HARDDISK_VB0f7ee829-e53281f3"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 68718428160}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB452a7873-4c67fabb", "disk/by-id/ata-VBOX_HARDDISK_VB452a7873-4c67fabb"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 2104053760}}	08:00:27:24:13:39	10.20.0.227	\N	VirtualBox	\N	0	centos	f	f	\N	\N	2014-04-08 14:42:08.268037	t
\.


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	read	2014-04-08 09:39:16.193537
34	\N	\N	\N	done	Successfully removed 4 node(s)	read	2014-04-08 13:59:52.716561
24	\N	\N	\N	done	Successfully removed 3 node(s)	read	2014-04-08 12:58:58.049689
25	\N	\N	\N	done	Environment 'test_centos_simple_gre_ceilometer' and all its nodes are deleted	read	2014-04-08 12:58:58.422985
19	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 12:22:21.136004
23	\N	\N	\N	done	Deployment of environment 'test_centos_simple_one_controller' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/ or via internal network at http://10.20.0.3/	read	2014-04-08 12:52:10.137745
2	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 09:43:55.098892
3	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 09:43:57.411435
4	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 09:47:17.643323
5	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 09:47:23.498451
6	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 09:47:24.65979
7	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 09:47:33.070925
8	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 09:47:37.622419
12	\N	\N	\N	done	Deployment of environment 'test_centos_ha_ceph_ceilometer' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/	read	2014-04-08 11:35:52.133272
13	\N	\N	\N	done	Successfully removed 7 node(s)	read	2014-04-08 12:17:31.43191
14	\N	\N	\N	done	Environment 'test_centos_ha_ceph_ceilometer' and all its nodes are deleted	read	2014-04-08 12:17:32.055979
35	\N	\N	\N	done	Environment 'test_centos_simple_ceph' and all its nodes are deleted	read	2014-04-08 13:59:53.590862
36	\N	22	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 14:02:51.619095
9	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 09:47:42.592277
10	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 09:47:51.425527
11	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 09:47:51.478471
22	\N	\N	\N	done	Deployment of environment 'test_centos_simple_gre_ceilometer' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.10/ or via internal network at http://10.20.0.10/	read	2014-04-08 12:36:54.364597
26	\N	\N	\N	done	Successfully removed 1 node(s)	read	2014-04-08 13:01:24.370893
27	\N	\N	\N	done	Environment 'test_centos_simple_one_controller' and all its nodes are deleted	read	2014-04-08 13:01:24.591207
28	\N	18	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 13:01:39.12912
29	\N	19	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 13:01:40.254212
30	\N	20	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 13:01:44.659745
31	\N	21	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 13:02:52.768365
37	\N	23	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 14:02:57.28309
15	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 12:21:07.536135
16	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 12:22:12.369731
17	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 12:22:16.09751
18	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 12:22:18.785056
32	\N	\N	\N	done	Deployment of environment 'test_centos_simple_ceph' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.3/ or via internal network at http://10.20.0.4/	read	2014-04-08 13:06:36.728568
38	\N	24	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 14:02:58.995482
39	\N	25	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 14:03:22.90047
20	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 12:22:34.274401
21	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 12:22:36.878871
33	\N	\N	\N	done	Deployment of environment 'test_centos_simple' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/ or via internal network at http://10.20.0.3/	read	2014-04-08 13:30:50.743721
40	\N	\N	\N	done	Successfully removed 2 node(s)	read	2014-04-08 14:13:54.683405
41	\N	\N	\N	done	Environment 'test_centos_simple' and all its nodes are deleted	read	2014-04-08 14:13:55.041426
42	\N	26	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 14:16:06.800086
43	\N	27	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2014-04-08 14:16:12.485989
44	6	\N	\N	done	Deployment of environment 'test_centos_ha' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.8/	read	2014-04-08 14:22:13.762384
\.


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node) FROM stdin;
\.


--
-- Data for Name: red_hat_accounts; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY red_hat_accounts (id, username, password, license_type, satellite, activation_key) FROM stdin;
\.


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata) FROM stdin;
1	Havana on CentOS 6.4	2013.2.2	This option will install the OpenStack Havana packages using a CentOS based operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"networks": [{"name": "floating", "notation": "ip_ranges", "render_type": "ip_ranges", "map_priority": 1, "assign_vip": false, "vlan_start": null, "use_gateway": false, "use_same_vlan_nic": 1, "render_addr_mask": null, "cidr": "172.16.0.0/24", "ip_range": ["172.16.0.128", "172.16.0.254"]}, {"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "vlan_start": null, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "calculate_cidr": true, "use_same_vlan_nic": 1, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "use_gateway": true}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"network_size": 256, "name": "fixed", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": true, "vlan_start": 103, "render_addr_mask": null, "cidr": "10.0.0.0/16"}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "use_gateway": true, "calculate_cidr": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "additional_components": {"murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "savanna": {"weight": 10, "type": "checkbox", "description": "If selected, Savanna component will be installed", "value": false, "label": "Install Savanna"}}, "storage": {"volumes_ceph": {"weight": 20, "type": "checkbox", "description": "Configures Cinder to store volumes in Ceph RBD images.", "value": false, "label": "Ceph RBD for volumes (Cinder)"}, "objects_ceph": {"weight": 40, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RadosGW for objects (Swift API)"}, "ephemeral_ceph": {"weight": 35, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"value": true, "type": "checkbox", "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "label": "Cinder LVM over iSCSI for volumes"}, "osd_pool_size": {"weight": 70, "type": "text", "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "value": "2", "label": "Ceph object replication factor"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RBD for images (Glance)"}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "vlan_splinters": {"values": [{"data": "disabled", "description": "OVS VLAN splinters disabled on all interfaces", "label": "Disabled (Default)"}, {"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Use OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Use OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "type": "radio", "weight": 45, "value": "disabled", "label": "Open VSwitch VLAN Splinters feature (Neutron only)"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}}}}	{"volumes_roles_mapping": {"cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL/Galera, RabbitMQ, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}
2	Havana on Ubuntu 12.04	2013.2.2	This option will install the OpenStack Havana packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"networks": [{"name": "floating", "notation": "ip_ranges", "render_type": "ip_ranges", "assign_vip": false, "map_priority": 1, "use_same_vlan_nic": 1, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "cidr": "172.16.0.0/24", "ip_range": ["172.16.0.128", "172.16.0.254"]}, {"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "use_same_vlan_nic": 1, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "calculate_cidr": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "use_gateway": true}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"network_size": 256, "name": "fixed", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": true, "vlan_start": 103, "render_addr_mask": null, "cidr": "10.0.0.0/16"}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "use_gateway": true, "calculate_cidr": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "additional_components": {"murano": {"value": false, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "savanna": {"value": false, "type": "checkbox", "description": "If selected, Savanna component will be installed", "weight": 10, "label": "Install Savanna"}}, "storage": {"volumes_ceph": {"value": false, "type": "checkbox", "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "label": "Ceph RBD for volumes (Cinder)"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "label": "Ceph RadosGW for objects (Swift API)"}, "ephemeral_ceph": {"value": false, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"value": true, "type": "checkbox", "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "label": "Cinder LVM over iSCSI for volumes"}, "osd_pool_size": {"value": "2", "type": "text", "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "label": "Ceph object replication factor"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "label": "Ceph RBD for images (Glance)"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}}}}	{"volumes_roles_mapping": {"cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL/Galera, RabbitMQ, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}
\.


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	controller
2	1	compute
3	1	cinder
4	1	ceph-osd
5	2	controller
6	2	compute
7	2	cinder
8	2	ceph-osd
\.


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
56	6	123c4f30-a93f-4420-9dad-bdbe8287310a	deployment	Deployment of environment 'test_centos_ha' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.8/	ready	100	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "123c4f30-a93f-4420-9dad-bdbe8287310a", "deployment_info": [{"management_interface": "eth0.101", "use_cow_images": true, "uid": "18", "floating_interface": "eth1", "storage_interface": "eth0.102", "management_vip": "192.168.0.7", "public_vip": "172.16.0.8", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "l1jSMetr"}, "glance": {"image_cache_max_size": "18386675302", "user_password": "HtWR3n2b", "db_password": "TR28ZpYr"}, "public_interface": "eth1", "network_data": {"eth0.101": {"interface": "eth0.101", "ipaddr": ["192.168.0.8/24"]}, "eth0.102": {"interface": "eth0.102", "ipaddr": ["192.168.1.7/24"]}, "eth0.103": {"interface": "eth0.103", "ipaddr": "none"}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": ["172.16.0.9/24"], "gateway": "172.16.0.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.9/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "23sGn9O7"}, "keystone": {"admin_password": "F3ji9IB7"}, "database": {"passwd": "24gnPvER"}}, "swift": {"user_password": "ih1OUNYs"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": false, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "bgJzpkCn", "user_password": "OaxI0CMU", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 400, "murano": {"db_password": "7hPN2TmH", "user_password": "hefibWbH", "enabled": false, "rabbit_password": "Dcphv2UF"}, "role": "primary-controller", "vlan_splinters": "disabled", "online": true, "keystone": {"db_password": "fiIjIg7w", "admin_token": "Q2khwkxZ"}, "nodes": [{"swift_zone": "18", "uid": "18", "public_address": "172.16.0.9", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "primary-controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.0.10", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.0.11", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-20"}], "nova_quota": false, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "status": "discover", "deployment_mode": "ha_compact", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "ra33MlHF", "user_password": "l9W3bBna", "enabled": true, "rabbit_password": "JETRgpCJ"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "wJ0QzYGT"}, "ceilometer": {"db_password": "H7AoPzc9", "user_password": "WxsoGqpp", "metering_secret": "R0bnT2Pk", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-20", "fqdn": "node-18.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth0.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "Hx6429gi", "user_password": "6awLWf03"}, "deployment_id": 6, "savanna": {"db_password": "tqpmG7H1", "user_password": "Gji3mWjX", "enabled": false}}, {"management_interface": "eth0.101", "use_cow_images": true, "uid": "19", "floating_interface": "eth1", "storage_interface": "eth0.102", "management_vip": "192.168.0.7", "public_vip": "172.16.0.8", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "l1jSMetr"}, "glance": {"image_cache_max_size": "18386675302", "user_password": "HtWR3n2b", "db_password": "TR28ZpYr"}, "public_interface": "eth1", "network_data": {"eth0.101": {"interface": "eth0.101", "ipaddr": ["192.168.0.9/24"]}, "eth0.102": {"interface": "eth0.102", "ipaddr": ["192.168.1.8/24"]}, "eth0.103": {"interface": "eth0.103", "ipaddr": "none"}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": ["172.16.0.10/24"], "gateway": "172.16.0.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.10/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "23sGn9O7"}, "keystone": {"admin_password": "F3ji9IB7"}, "database": {"passwd": "24gnPvER"}}, "swift": {"user_password": "ih1OUNYs"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": false, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "bgJzpkCn", "user_password": "OaxI0CMU", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 500, "murano": {"db_password": "7hPN2TmH", "user_password": "hefibWbH", "enabled": false, "rabbit_password": "Dcphv2UF"}, "role": "controller", "vlan_splinters": "disabled", "online": true, "keystone": {"db_password": "fiIjIg7w", "admin_token": "Q2khwkxZ"}, "nodes": [{"swift_zone": "18", "uid": "18", "public_address": "172.16.0.9", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "primary-controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.0.10", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.0.11", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-20"}], "nova_quota": false, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "status": "discover", "deployment_mode": "ha_compact", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "ra33MlHF", "user_password": "l9W3bBna", "enabled": true, "rabbit_password": "JETRgpCJ"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "wJ0QzYGT"}, "ceilometer": {"db_password": "H7AoPzc9", "user_password": "WxsoGqpp", "metering_secret": "R0bnT2Pk", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-20", "fqdn": "node-19.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth0.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "Hx6429gi", "user_password": "6awLWf03"}, "deployment_id": 6, "savanna": {"db_password": "tqpmG7H1", "user_password": "Gji3mWjX", "enabled": false}}, {"management_interface": "eth0.101", "use_cow_images": true, "uid": "20", "floating_interface": "eth1", "storage_interface": "eth0.102", "management_vip": "192.168.0.7", "public_vip": "172.16.0.8", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "l1jSMetr"}, "glance": {"image_cache_max_size": "18386675302", "user_password": "HtWR3n2b", "db_password": "TR28ZpYr"}, "public_interface": "eth1", "network_data": {"eth0.101": {"interface": "eth0.101", "ipaddr": ["192.168.0.10/24"]}, "eth0.102": {"interface": "eth0.102", "ipaddr": ["192.168.1.9/24"]}, "eth0.103": {"interface": "eth0.103", "ipaddr": "none"}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": "none"}, "eth1": {"interface": "eth1", "ipaddr": ["172.16.0.11/24"], "gateway": "172.16.0.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.11/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "23sGn9O7"}, "keystone": {"admin_password": "F3ji9IB7"}, "database": {"passwd": "24gnPvER"}}, "swift": {"user_password": "ih1OUNYs"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": false, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "bgJzpkCn", "user_password": "OaxI0CMU", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 600, "murano": {"db_password": "7hPN2TmH", "user_password": "hefibWbH", "enabled": false, "rabbit_password": "Dcphv2UF"}, "role": "controller", "vlan_splinters": "disabled", "online": true, "keystone": {"db_password": "fiIjIg7w", "admin_token": "Q2khwkxZ"}, "nodes": [{"swift_zone": "18", "uid": "18", "public_address": "172.16.0.9", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "primary-controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.0.10", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.0.11", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-20"}], "nova_quota": false, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "status": "discover", "deployment_mode": "ha_compact", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "ra33MlHF", "user_password": "l9W3bBna", "enabled": true, "rabbit_password": "JETRgpCJ"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "wJ0QzYGT"}, "ceilometer": {"db_password": "H7AoPzc9", "user_password": "WxsoGqpp", "metering_secret": "R0bnT2Pk", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-20", "fqdn": "node-20.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth0.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "Hx6429gi", "user_password": "6awLWf03"}, "deployment_id": 6, "savanna": {"db_password": "tqpmG7H1", "user_password": "Gji3mWjX", "enabled": false}}]}}	{}	52	1
51	6	4d108fab-6428-4ab1-8efb-95b07da2f1f7	check_dhcp		ready	0	{}	{}	50	1
52	6	dd45e955-be0f-4863-9bfc-2d88495f48f8	deploy	Deployment of environment 'test_centos_ha' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.8/	ready	100	{}	{}	\N	1
63	\N	e393cc41-8ac0-49e8-b47c-aba2f7defe98	dump	\N	running	0	{"respond_to": "dump_environment_resp", "method": "dump_environment", "args": {"task_uuid": "e393cc41-8ac0-49e8-b47c-aba2f7defe98", "lastdump": "/var/www/nailgun/dump/last"}}	{}	\N	1
55	6	df1880a1-3f80-4a92-83ce-6afa8a555151	provision	\N	ready	100	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "df1880a1-3f80-4a92-83ce-6afa8a555151", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "18", "interfaces": {"eth3": {"static": "0", "mac_address": "08:00:27:69:8d:89"}, "eth2": {"static": "0", "mac_address": "08:00:27:66:9b:15"}, "eth1": {"static": "0", "mac_address": "08:00:27:3d:be:7a"}, "eth0": {"ip_address": "10.20.0.9", "dns_name": "node-18.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:66:d6:a2"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:66:d6:a2_eth0,08:00:27:3d:be:7a_eth1,08:00:27:66:9b:15_eth2,08:00:27:69:8d:89_eth3", "netcfg/choose_interface": "08:00:27:66:d6:a2"}, "power_address": "10.20.0.220", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB543c88b0-8f95059f", "disk/by-id/ata-VBOX_HARDDISK_VB543c88b0-8f95059f"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 19436, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 45599, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB3dc4f6f8-3331ee08", "disk/by-id/ata-VBOX_HARDDISK_VB3dc4f6f8-3331ee08"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf7cc7a0d-0073b139", "disk/by-id/ata-VBOX_HARDDISK_VBf7cc7a0d-0073b139"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19372, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 4012, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 175349, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-18", "hostname": "node-18.domain.tld", "slave_name": "node-18", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "19", "interfaces": {"eth3": {"static": "0", "mac_address": "08:00:27:04:e5:78"}, "eth2": {"static": "0", "mac_address": "08:00:27:9c:8b:5e"}, "eth1": {"static": "0", "mac_address": "08:00:27:ce:1c:41"}, "eth0": {"ip_address": "10.20.0.10", "dns_name": "node-19.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:be:ca:40"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:be:ca:40_eth0,08:00:27:ce:1c:41_eth1,08:00:27:9c:8b:5e_eth2,08:00:27:04:e5:78_eth3", "netcfg/choose_interface": "08:00:27:be:ca:40"}, "power_address": "10.20.0.188", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB6ad1e572-d53d4d56", "disk/by-id/ata-VBOX_HARDDISK_VB6ad1e572-d53d4d56"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 19436, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 45599, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB0732e53a-78944307", "disk/by-id/ata-VBOX_HARDDISK_VB0732e53a-78944307"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf1b88a9b-d82f1d16", "disk/by-id/ata-VBOX_HARDDISK_VBf1b88a9b-d82f1d16"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19372, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 4012, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 175349, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-19", "hostname": "node-19.domain.tld", "slave_name": "node-19", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "20", "interfaces": {"eth3": {"static": "0", "mac_address": "08:00:27:ea:64:e8"}, "eth2": {"static": "0", "mac_address": "08:00:27:19:18:34"}, "eth1": {"static": "0", "mac_address": "08:00:27:9f:9f:35"}, "eth0": {"ip_address": "10.20.0.11", "dns_name": "node-20.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:20:2c:50"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:20:2c:50_eth0,08:00:27:9f:9f:35_eth1,08:00:27:19:18:34_eth2,08:00:27:ea:64:e8_eth3", "netcfg/choose_interface": "08:00:27:20:2c:50"}, "power_address": "10.20.0.155", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB52a658d5-7ad5e8a7", "disk/by-id/ata-VBOX_HARDDISK_VB52a658d5-7ad5e8a7"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 19436, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 45599, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8603d14d-f35a5155", "disk/by-id/ata-VBOX_HARDDISK_VB8603d14d-f35a5155"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB010bcfc2-7a8d572a", "disk/by-id/ata-VBOX_HARDDISK_VB010bcfc2-7a8d572a"], "free_space": 64907, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64971, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65535}, {"_allocate_size": "min", "label": "Base System", "min_size": 19372, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 4012, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 175349, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-20", "hostname": "node-20.domain.tld", "slave_name": "node-20", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	52	0.40000000000000002
50	6	2b441717-b7b1-48f1-96b8-962d64930be7	verify_networks		ready	100	{"respond_to": "verify_networks_resp", "subtasks": {"check_dhcp": {"task_uuid": "4d108fab-6428-4ab1-8efb-95b07da2f1f7", "respond_to": "check_dhcp_resp"}}, "method": "verify_networks", "args": {"task_uuid": "2b441717-b7b1-48f1-96b8-962d64930be7", "nodes": [{"uid": 18, "networks": [{"vlans": [0, 101, 102, 103], "iface": "eth0"}, {"vlans": [0, 0], "iface": "eth1"}]}, {"uid": 19, "networks": [{"vlans": [0, 101, 102, 103], "iface": "eth0"}, {"vlans": [0, 0], "iface": "eth1"}]}, {"uid": 20, "networks": [{"vlans": [0, 101, 102, 103], "iface": "eth0"}, {"vlans": [0, 0], "iface": "eth1"}]}]}}	[]	\N	1
\.


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: net_bond_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_pkey PRIMARY KEY (id);


--
-- Name: net_nic_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: neutron_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_configs
    ADD CONSTRAINT neutron_configs_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_bond_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: red_hat_accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY red_hat_accounts
    ADD CONSTRAINT red_hat_accounts_pkey PRIMARY KEY (id);


--
-- Name: releases_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_name_key UNIQUE (name, release_id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_bond_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_bond_id_fkey FOREIGN KEY (bond_id) REFERENCES node_bond_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: neutron_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_configs
    ADD CONSTRAINT neutron_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_bond_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES node_bond_interfaces(id);


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

